package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description: 考试dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TEExamDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    private Long id;//考试id

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试场次id")
    private Long examActivityId;//考试场次id

    @ApiModelProperty(name = "考试名称")
    private String name;//考试名称

    @ApiModelProperty(name = "模式，together：集中统一，anytime：随到随考")
    private String mode;//考试模式

    @ApiModelProperty(name = "考前须知")
    private String preNotice;//考前须知

    @ApiModelProperty(name = "考试须知阅读时长")
    private Integer preNoticeStaySeconds;//考试须知阅读时长(秒)

    @ApiModelProperty(name = "考后说明")
    private String postNotice;//考后说明，针对一个场次进行设置

    @ApiModelProperty(name = "真实时间")
    private Integer reallyTime;

    @ApiModelProperty(name = "时间总和")
    private Integer diffSum;

    @ApiModelProperty(name = "考试场次集合")
    private List<TEExamActivityDto> activities;

    public Integer getDiffSum() {
        return diffSum;
    }

    public void setDiffSum(Integer diffSum) {
        this.diffSum = diffSum;
    }

    public List<TEExamActivityDto> getActivities() {
        return activities;
    }

    public void setActivities(List<TEExamActivityDto> activities) {
        this.activities = activities;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getPreNotice() {
        return preNotice;
    }

    public void setPreNotice(String preNotice) {
        this.preNotice = preNotice;
    }

    public Integer getPreNoticeStaySeconds() {
        return preNoticeStaySeconds;
    }

    public void setPreNoticeStaySeconds(Integer preNoticeStaySeconds) {
        this.preNoticeStaySeconds = preNoticeStaySeconds;
    }

    public String getPostNotice() {
        return postNotice;
    }

    public void setPostNotice(String postNotice) {
        this.postNotice = postNotice;
    }

    public Integer getReallyTime() {
        return reallyTime;
    }

    public void setReallyTime(Integer reallyTime) {
        this.reallyTime = reallyTime;
    }
}
